from app import db


class User(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    number = db.Column(db.Integer, index = True, unique = True)
    nickname = db.Column(db.String(64), index = True, unique = True)
    secret = db.Column(db.String(32), index = True, unique = True)

    def __repr__(self):
        return '<User %r>' % (self.nickname)